
<h1>{{txtTitle}}</h1>
<input type="text" [(ngModel)]="txtTitle">


<h1>{{testNumber | number:'2.2-2'}}</h1>
<h1>{{currentDate | date:'d - MM - y':'th'}}</h1>
<h1 *ngIf="showTitle">
  {{ "test works!" | testString :'start word'}}
</h1>

<button class="btn" [disabled]="!showTitle">test</button>

<button class="btn" (click)="greeting();">
  <i class="material-icons left">account_circle</i>Say Hi on test
</button>

<div class="row">
  <div class="col s12">
    <div class="card-panel">I am always full-width (col s12)</div>
  </div>
  <div class="col s12 m6 offset-m3">
    <div class="card-panel">I am full-width on mobile half on tablet desktop (col s12 m6)</div>
  </div>
  <div class="col s12 m6 hide-on-small-only">
    <div class="card-panel">I am full-width on mobile half on tablet desktop (col s12 m6)</div>
  </div>
</div>

<button class="btn" (click)="onButtonClick();">Add data</button>

<ul class="collection">
  <li class="collection-item"
  *ngFor="let i of datas; let idx = index;"
  [ngClass]="{'red': idx%2==0, 'yellow': idx%2==1}"
  >
    <div>{{idx}} {{i | testString}}
      <a class="secondary-content"
      (click)="onDeleteClick(idx)">
        <i class="material-icons">delete</i>
      </a>
    </div>
  </li>

</ul>
